Bug 16420 - Buttons inconsistent between "Hold found" and "Hold found (waiting)" dialogs in checkin
Summary: Buttons inconsistent between "Hold found" and "Hold found (waiting)" dialogs ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-02 18:33 UTC by Jesse Weaver
Modified: 2018-11-09 07:04 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 16420: Buttons inconsistent between "Hold found" and "Hold found (waiting)" dialogs in checkin (2.63 KB, patch)
2018-10-05 17:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 16420: Buttons inconsistent between "Hold found" and "Hold found (waiting)" dialogs in checkin (2.68 KB, patch)
2018-10-05 17:59 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 16420: Buttons inconsistent between "Hold found" and "Hold found (waiting)" dialogs in checkin (2.74 KB, patch)
2018-10-08 22:27 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Weaver 2016-05-02 18:33:27 UTC
"Hold found":                           "Confirm hold", "Print slip and confirm" and "Ignore"
"Hold found (item is already waiting)": "Confirm", "Cancel hold", "Print and confirm"

We should settle on one ordering and wording; the current approach is both bad for translators and confusing for librarians. It's all too easy to reach for the middle button out of muscle memory and cancel a hold!

I would argue that the wording and ordering of the "Hold found" dialog is more natural, so the waiting dialog should be changed to the following:

"Confirm hold", "Print slip and confirm", "Cancel hold"
Comment 1 Owen Leonard 2018-10-05 17:13:59 UTC
Created attachment 80144 [details] [review]
Bug 16420: Buttons inconsistent between "Hold found" and "Hold found (waiting)" dialogs in checkin

This patch makes minor changes to the text of hold confirmation buttons
in the checkin process in order to make them more consistent.

Also changed: Removed the "danger" class from the "Ignore" button for
readability and consistency's sake.

To test, apply the patch and check in an item which is on hold for a
patron at your logged-in library. The hold confirmation dialog's buttons
should read "Confirm hold," "Print slip and confirm," and "Ignore."

Confirm the hold, then check in the same item again.

In the dialog, the buttons should read "Confirm hold," "Print slip and
confirm," and "Cancel hold."
Comment 2 Michal Denar 2018-10-05 17:59:51 UTC
Created attachment 80145 [details] [review]
Bug 16420: Buttons inconsistent between "Hold found" and "Hold found (waiting)" dialogs in checkin

This patch makes minor changes to the text of hold confirmation buttons
in the checkin process in order to make them more consistent.

Also changed: Removed the "danger" class from the "Ignore" button for
readability and consistency's sake.

To test, apply the patch and check in an item which is on hold for a
patron at your logged-in library. The hold confirmation dialog's buttons
should read "Confirm hold," "Print slip and confirm," and "Ignore."

Confirm the hold, then check in the same item again.

In the dialog, the buttons should read "Confirm hold," "Print slip and
confirm," and "Cancel hold."

Signed-off-by: Michal Denar <black23@gmail.com>
Comment 3 Chris Cormack 2018-10-08 22:27:13 UTC
Created attachment 80242 [details] [review]
Bug 16420: Buttons inconsistent between "Hold found" and "Hold found (waiting)" dialogs in checkin

This patch makes minor changes to the text of hold confirmation buttons
in the checkin process in order to make them more consistent.

Also changed: Removed the "danger" class from the "Ignore" button for
readability and consistency's sake.

To test, apply the patch and check in an item which is on hold for a
patron at your logged-in library. The hold confirmation dialog's buttons
should read "Confirm hold," "Print slip and confirm," and "Ignore."

Confirm the hold, then check in the same item again.

In the dialog, the buttons should read "Confirm hold," "Print slip and
confirm," and "Cancel hold."

Signed-off-by: Michal Denar <black23@gmail.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 4 Nick Clemens 2018-10-09 16:27:04 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-10-15 12:38:02 UTC
Pushed to 18.05.x for 18.05.05
Comment 6 Fridolin SOMERS 2018-11-09 07:04:44 UTC
Pushed to 17.11.x for 17.11.12